Subject: [Healeys] Trafficators

From: Stephen Hutchings <[email-masked]>
Date: Fri, 28 Jun 2019 15:55:23 -0400

I've just had my Trafficators apart again because the left hand signal didn’t seem to be maintaining contact. It’s working well now, but it is a fiendish little device, and getting the lever back in with all the appropriate springs in place is not easy…sort of like watch repair.

Anyway, I was looking at the original Lucas literature and it got me to wondering why we call it a “Trafficator”. Seems that the trafficators were the little flip-up semaphore signals made by Lucas, and usually paired with what they called the “self cancelling switch assembly”…which is what we Healey people now call a trafficator.

I guess, since they were originally paired, “trafficator” slips off the tongue more easily than "self cancelling switch assembly” !

Hoping I don’t have to take that thing apart again for a long time…

Stephen, BJ8

_______________________________________________
Support Team.Net http://www.team.net/donate.html
Suggested annual donation  $12.75

Archive: http://www.team.net/pipermail/healeys http://autox.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys

Unsubscribe/Manage: http://autox.team.net/mailman/options/healeys/[email-masked]